Get credential info
curl --request GET \
--url https://core-api.getaptly.com/api/app/me \
--header 'x-token: <api-key>'import requests
url = "https://core-api.getaptly.com/api/app/me"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://core-api.getaptly.com/api/app/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "user",
"userId": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"companyId": "<string>",
"companyName": "<string>"
}App
Get credential info
Returns identity information for the credential used in the request. The response shape depends on the auth method:
- Delegate token (
Authorization: DelegateToken <token>): returns user identity and, if the token has anappClientId, embedded-app context. - API key (
x-tokenheader or query param): returns company identity. - Partner token (
Authorization: Bearer <token>): returns the partner’s permission list.
GET
/
api
/
app
/
me
Get credential info
Authorizations
ApiKeyHeaderDelegateTokenPartnerBearer